#ifndef __COMMAND_H__
#define __COMMAND_H__

void recognize_command(char *buf);
static void save_setting_to_flash(void);
static void save_setting_to_flash_default(void);
void check_setting(void);

// FLASH SETTING MAP (MAX 256bytes == FLASH_PAGE_SIZE)
// FLASH_PAGE_SIZE(256Byte) is defined at flash.h
#define SETTING_DUTY                  0
#define SETTING_USE_SENSOR            1
#define SETTING_USE_SENSOR_DARK       2
#define SETTING_USE_GPS               3
#define SETTING_TIMEZONE              4
#define SETTING_USE_XFADE             5
#define SETTING_USE_ANTI_POISONING    6
#define SETTING_ANTI_POISONING_TIME   7 // 3byte
#define SETTING_USE_OFFTIME           10
#define SETTING_OFFTIME_START         11 // 3byte
#define SETTING_OFFTIME_END           14 // 3byte

#define SETTING_ANTI_P_HOUR  ((0 << 4) | 3) // 03
#define SETTING_ANTI_P_MIN   ((0 << 4) | 0) // 00
#define SETTING_ANTI_P_SEC   ((0 << 4) | 0) // 00

#define SETTING_DUTY_STRING                 "DUTY"
#define SETTING_USE_SENSOR_STRING           "SENSOR"
#define SETTING_USE_SENSOR_DARK_STRING      "DARK"
#define SETTING_USE_GPS_STRING              "GPS"
#define SETTING_TIMEZONE_STRING             "TIMEZONE"
#define SETTING_USE_XFADE_STRING            "XFADE"
#define SETTING_USE_ANTI_POISONING_STRING   "POISONING"
#define SETTING_ANTI_POISONING_TIME_STRING  "AP"
#define SETTING_USE_OFFTIME_STRING          "OFFTIME"
#define SETTING_OFFTIME_START_STRING        ""
#define SETTING_OFFTIME_END_STRING          ""
#define SETTING_SET_DATE_STRING             "DATE"
#define SETTING_SHUFFLE_STRING              "S"
#endif